#!/bin/sh


DIRECTORY=/home/tinker                   # Mein eigenes Verzeichnis. Herauszufinden mit pwd
cd $DIRECTORY

HTMLTOP=temperatur_top.html
HTMLDIAGRAM=temperatur_middle.html
HTMLBOTTOM=temperatur_bottom.html
HTMLCOMPLETE=temperatur.html
WWWDIRECTORY=/var/www                    # Zielverzeichnis der erstellen Html Seite

DATAINPUT=temperatur.collect
DATAFORWORK=data.forwork.dat

tail -24 $DATAINPUT > $DATAFORWORK # Hiermit ermitteln die letzten 24 Werte
# oder
# Dies ist fuer die letzten 24 Werte die ein ":00:" enthalten und somit bei der vollen Minute (= 1 Wert pro Stunde) enstanden sind!
## cat $DATAINPUT | grep ":00:" | tail -24 > $DATAFORWORK # Nur Werte der letzen 24 Vollen Stunden

DIAGRAMTEMPERATUR=""
DIAGRAMXAXIS=""
LINECOUNT=0;
while read LINE ; do
      LINETEMPERATUR=`echo $LINE | cut -d ";" -f 3`
      LINETIME=`echo $LINE | cut -d";" -f1|cut -d "_" -f2 | cut -d ":" -f1-2`
      DIAGRAMTEMPERATUR=$DIAGRAMTEMPERATUR"d1.push([$LINECOUNT, $LINETEMPERATUR]);\n"
      if [ `expr $LINECOUNT % 2` -eq 0 ] ; then
         DIAGRAMXAXIS=$DIAGRAMXAXIS"[$LINECOUNT,\"$LINETIME\"],"
      fi
      LINECOUNT=`expr $LINECOUNT + 1`
done < $DATAFORWORK


echo "Diagramm erstellt am: `date`<br><br>" > $HTMLDIAGRAM
echo "<div id='placeholder1' style='width:600px;height:300px;'> </div>" >> $HTMLDIAGRAM
echo "<script type='text/javascript'>" >> $HTMLDIAGRAM
echo "\$(function () {" >> $HTMLDIAGRAM
echo "    var d1 = [];" >> $HTMLDIAGRAM
echo $DIAGRAMTEMPERATUR >> $HTMLDIAGRAM
echo "    \$.plot(\$('#placeholder1'), [ d1 ] ," >> $HTMLDIAGRAM
echo "    {" >> $HTMLDIAGRAM
echo "    xaxis: {ticks: [" >> $HTMLDIAGRAM
echo $DIAGRAMXAXIS >> $HTMLDIAGRAM
echo "                   ]}," >> $HTMLDIAGRAM
echo "    yaxis: { ticks: 8 }," >> $HTMLDIAGRAM
echo "    });" >> $HTMLDIAGRAM
echo " });" >> $HTMLDIAGRAM
echo "</script>" >> $HTMLDIAGRAM

cat $HTMLTOP > $HTMLCOMPLETE
cat $HTMLDIAGRAM >> $HTMLCOMPLETE
cat $HTMLBOTTOM >> $HTMLCOMPLETE
cp $HTMLCOMPLETE $WWWDIRECTORY/.


#Temporaere Files loeschen. Wenn gewuenscht Kommentarzeichen loeschen.
## rm $DATAFORWORK
## rm $HTMLDIAGRAM
## rm $HTMLCOMPLETE

